USE [Credit];
GO

-- Include actual execution plan
DECLARE @charge_amt MONEY = 50.00;

SELECT [charge_no]
FROM [dbo].[charge]
WHERE [charge_amt] = @charge_amt;


-- The 318.916 estimated rows for the Clustered Index Scan
DBCC SHOW_STATISTICS(N'dbo.charge', _WA_Sys_00000006_0DAF0CB0)
WITH DENSITY_VECTOR;

-- 318.9156800000
SELECT 0.0001993223 * (SELECT COUNT(*) FROM dbo.[charge]);


-- Does this "scale" as well?

-- Turn off actual execution plan before inserting
SET NOCOUNT ON;
GO

INSERT  [dbo].[charge]
        ( [member_no] ,
          [provider_no] ,
          [category_no] ,
          [charge_dt] ,
          [charge_amt] ,
          [statement_no] ,
          [charge_code]
        )
        SELECT TOP 10000
                [member_no] ,
                [provider_no] ,
                [category_no] ,
                '2014-04-06 01:01:21' ,
                50.00 ,
                [statement_no] ,
                [charge_code]
        FROM    [dbo].[charge];

-- Test system only please
DBCC FREEPROCCACHE;

-- Include actual execution plan
DECLARE @charge_amt MONEY = 50.00;

SELECT [charge_no]
FROM [dbo].[charge]
WHERE [charge_amt] = @charge_amt;

-- The 318.916 estimated rows for the Clustered Index Scan
DBCC SHOW_STATISTICS(N'dbo.charge', _WA_Sys_00000006_0DAF0CB0)
WITH DENSITY_VECTOR;

-- 320.9089030000
SELECT 0.0001993223 * (SELECT COUNT(*) FROM dbo.[charge]);

DBCC SHOW_STATISTICS(N'dbo.charge', _WA_Sys_00000006_0DAF0CB0)
WITH STAT_HEADER;


-- Restoring from demo database from backup
USE [master];

ALTER DATABASE [Credit] SET SINGLE_USER WITH ROLLBACK IMMEDIATE;

RESTORE DATABASE [Credit]
FROM	DISK = N'C:\Temp\CreditBackup100.bak' 
WITH	FILE = 1,
		MOVE N'CreditData' TO
			N'R:\MSSQL\MSSQL12.AUGUSTUS\MSSQL\DATA\CreditData.mdf',  
		MOVE N'CreditLog' TO
			N'R:\MSSQL\MSSQL12.AUGUSTUS\MSSQL\DATA\CreditLog.ldf',
		NOUNLOAD,  STATS = 5;

ALTER DATABASE [Credit] SET MULTI_USER;
GO